# eric4.Debugger.StartDialog

Module implementing the Start Program dialog.

### Classes

StartDialog | Class implementing the Start Program dialog.

### Functions

None

## StartDialog

Class implementing the Start Program dialog.

It implements a dialog that is used to start an application for debugging. It asks the user to enter the commandline parameters, the working directory and whether exception reporting should be disabled.

### Derived from

QDialog

### Methods

StartDialog | Constructor
__clearHistories | Private slot to clear the combo boxes lists and record a flag to clear the lists.
getCoverageData | Public method to retrieve the coverage related data entered into this dialog.
getCyclopsData | Public method to retrieve the coverage related data entered into this dialog.
getData | Public method to retrieve the data entered into this dialog.
getDebugData | Public method to retrieve the debug related data entered into this dialog.
getProfilingData | Public method to retrieve the profiling related data entered into this dialog.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_dirButton_clicked | Private method used to open a directory selection dialog.
on_modFuncCombo_editTextChanged | Private slot to enable/disable the OK button.

#### StartDialog (Constructor)

StartDialog(caption, argvList, wdList, envList, exceptions, parent = None, type = 0, modfuncList = None, tracePython = False, covexcList = None, autoClearShell = True, autoContinue = True)

Constructor

caption
  the caption to be displayed (QString)
argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
envList
  history list of environment settings (QStringList)
exceptions
  exception reporting flag (boolean)
parent
  parent widget of this dialog (QWidget)
type
  type of the start dialog
  - 0 = start debug dialog
  - 1 = start run dialog
  - 2 = start coverage dialog
  - 3 = start profile dialog
  - 4 = start cyclops dialog
modfuncList=
  history list of module functions (QStringList)
tracePython=
  flag indicating if the Python library should be traced as well (boolean)
covexcList=
  history list of coverage exclusion patterns (QStringList)
autoClearShell=
  flag indicating, that the interpreter window should be cleared automatically (boolean)
autoContinue=
  flag indicating, that the debugger should not stop at the first executable line (boolean)

#### StartDialog.__clearHistories

__clearHistories()

Private slot to clear the combo boxes lists and record a flag to clear the lists.

#### StartDialog.getCoverageData

getCoverageData()

Public method to retrieve the coverage related data entered into this dialog.

Returns:
  tuple of flag indicating erasure of coverage info (boolean) and coverage exclusion pattern (QString)

#### StartDialog.getCyclopsData

getCyclopsData()

Public method to retrieve the coverage related data entered into this dialog.

Returns:
  tuple of module function that is the entry point (QString) and bitmask of reports to be generated (integer)

#### StartDialog.getData

getData()

Public method to retrieve the data entered into this dialog.

Returns:
  a tuple of argv (QString), workdir (QString), environment (QString), exceptions flag (boolean), clear interpreter flag (boolean) and clear histories flag (boolean)

#### StartDialog.getDebugData

getDebugData()

Public method to retrieve the debug related data entered into this dialog.

Returns:
  a tuple of a flag indicating, if the Python library should be traced as well, and a flag indicating, that the debugger should not stop at the first executable line (boolean)

#### StartDialog.getProfilingData

getProfilingData()

Public method to retrieve the profiling related data entered into this dialog.

Returns:
  flag indicating erasure of profiling info (boolean)

#### StartDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### StartDialog.on_dirButton_clicked

on_dirButton_clicked()

Private method used to open a directory selection dialog.

#### StartDialog.on_modFuncCombo_editTextChanged

on_modFuncCombo_editTextChanged()

Private slot to enable/disable the OK button.

Up